> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Bill’s Service Providers

> Learn how to fetch available service providers for airtime, data, or electricity purchases.

<Info>
  To use the Bills APIs in a live or production environment, Novac Payment uses IP whitelisting to grant access.\
  You’ll need to contact <b>[support@novacpayment.com](mailto:support@novacpayment.com)</b> to request access for your IP address.
</Info>

## Overview

The bills service providers API allows you to retrieve a list of all supported providers under different bill types such as **airtime**, **data**, and **electricity**.

Each provider has a unique `serviceId` (or `code`) that you’ll use to initiate subsequent transactions — for example, purchasing airtime, data, or electricity tokens.

<Note>
  Always pass the correct `type` query parameter for example, `airtime`, `data`, or `electricity` to retrieve the right provider list for your integration.
</Note>

***

## Get Bill Service Providers by Type

Use this endpoint to fetch all available service providers for a specified bill type.\
Each provider object includes its name, unique service code, and logo — which can be displayed to users when selecting a service to pay for.

```bash Request theme={null}
curl --request GET \
  --url https://integrations.novacpayment.com/api/v1/BillsPayment/providerdetailsbytype?type=airtime|data|electricity \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
```

```json expandable Response theme={null}
{
    "code": 200,
    "status": "success",
    "message": "Successful",
    "data": {
        "type": "airtime",
        "billsPaymentProviders": [
            {
                "name": "Airtel",
                "code": "A01E",
                "imageUrl": "https://res.cloudinary.com/dtld2ztim/image/upload/v1752065070/Airtel_upbjov.png"
            },
            {
                "name": "9mobile",
                "code": "A02E",
                "imageUrl": "https://res.cloudinary.com/dtld2ztim/image/upload/v1752065069/9Mobile_eso0n0.png"
            }
        ],
        "isSuccessful": true,
        "message": "Successful",
        "processingProvider": ""
    }
}
```

The `type` query parameter determines which set of providers is returned:

`airtime` — returns all supported mobile network providers.

`data` — returns all supported data service providers.

`electricity` — returns all supported electricity distribution companies

## What’s Next?

Learn how to purchase data, electricity or airtime using the follow APIs :

* [Purchase Airtime](/docs/make-payment/bills/purchase-airtime)

* [Purchase Data](/docs/make-payment/bills/purchase-data-bundle)

* [Purchase Electricity](/docs/make-payment/bills/purchase-electricity)
